zenilib: zenilib/jni/external/sdl/src/video/directfb/SDL_DirectFB_video.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
SDL_DirectFB_video.h File Reference
`#include "SDL_config.h"`
`#include <directfb.h>`
`#include <directfb_version.h>`
`#include "../SDL_sysvideo.h"`
`#include "SDL_scancode.h"`
`#include "SDL_render.h"`
`#include "SDL_log.h"`

Go to the source code of this file.

## Classes

struct | _DFB_DeviceData
struct | _DFB_KeyboardData

## Macros

#define | DFB_COMPILEDVERSION DFB_VERSIONNUM(DIRECTFB_MAJOR_VERSION, DIRECTFB_MINOR_VERSION, DIRECTFB_MICRO_VERSION)
#define | DFB_MAX_SCREENS 10
#define | DFB_VERSION_ATLEAST(X, Y, Z) (DFB_COMPILEDVERSION >= DFB_VERSIONNUM(X, Y, Z))
#define | DFB_VERSIONNUM(X, Y, Z) ((X)*1000 + (Y)*100 + (Z))
#define | DFBENV_USE_LINUX_INPUT "SDL_DIRECTFB_LINUX_INPUT" /* Default: on */
#define | DFBENV_USE_WM "SDL_DIRECTFB_WM" /* Default: off */
#define | DFBENV_USE_X11_CHECK "SDL_DIRECTFB_X11_CHECK" /* Default: on */
#define | DFBENV_USE_YUV_DIRECT "SDL_DIRECTFB_YUV_DIRECT" /* Default: off */
#define | DFBENV_USE_YUV_UNDERLAY "SDL_DIRECTFB_YUV_UNDERLAY" /* Default: off */
#define | DIRECTFB_DEBUG 1
#define | ENABLE_LUT8 (1)
#define | SDL_DFB_ALLOC_CLEAR(r, s) SDL_DFB_CALLOC(r, 1, s)
#define | SDL_DFB_CALLOC(r, n, s)
#define | SDL_DFB_CHECK(x...) do { sdl_dfb_check( x, __FILE__, __LINE__); } while (0)
#define | SDL_DFB_CHECKERR(x...) do { if ( sdl_dfb_check( x, __FILE__, __LINE__) != DFB_OK ) goto error; } while (0)
#define | SDL_DFB_CONTEXT "SDL_DirectFB"
#define | SDL_DFB_DEBUG(x...) SDL_LogDebug(SDL_LOG_CATEGORY_VIDEO, x)
#define | SDL_DFB_DEVICEDATA(dev) DFB_DeviceData *devdata = (dev ? (DFB_DeviceData *) ((dev)->driverdata) : NULL)
#define | SDL_DFB_ERR(x...) SDL_LogError(SDL_LOG_CATEGORY_ERROR, x)
#define | SDL_DFB_FREE(x) do { SDL_free((x)); (x) = NULL; } while (0)
#define | SDL_DFB_LOG(x...) SDL_LogInfo(SDL_LOG_CATEGORY_VIDEO, x)
#define | SDL_DFB_RELEASE(x) do { if ( (x) != NULL ) { SDL_DFB_CHECK(x->Release(x)); x = NULL; } } while (0)
#define | SDL_DFB_UNLOCK(x) do { if ( (x) != NULL ) { x->Unlock(x); } } while (0)
#define | USE_MULTI_API (0)

## Typedefs

typedef struct _DFB_DeviceData | DFB_DeviceData
typedef struct _DFB_KeyboardData | DFB_KeyboardData

## Functions

Uint32 | DirectFB_DFBToSDLPixelFormat (DFBSurfacePixelFormat pixelformat)
DFBSurfacePixelFormat | DirectFB_SDLToDFBPixelFormat (Uint32 format)
void | DirectFB_SetSupportedPixelFormats (SDL_RendererInfo *ri)
static DFBResult | sdl_dfb_check (DFBResult ret, const char *src_file, int src_line)

## Macro Definition Documentation

#define DFB_COMPILEDVERSION DFB_VERSIONNUM(DIRECTFB_MAJOR_VERSION, DIRECTFB_MINOR_VERSION, DIRECTFB_MICRO_VERSION)

Definition at line 39 of file SDL_DirectFB_video.h.

#define DFB_MAX_SCREENS 10

Definition at line 128 of file SDL_DirectFB_video.h.

#define DFB_VERSION_ATLEAST | ( |  | X,
|  |  | Y,
|  |  | Z
| ) |  | (DFB_COMPILEDVERSION >= DFB_VERSIONNUM(X, Y, Z))

Definition at line 42 of file SDL_DirectFB_video.h.

#define DFB_VERSIONNUM | ( |  | X,
|  |  | Y,
|  |  | Z
| ) |  | ((X)*1000 + (Y)*100 + (Z))

Definition at line 36 of file SDL_DirectFB_video.h.

#define DFBENV_USE_LINUX_INPUT "SDL_DIRECTFB_LINUX_INPUT" /* Default: on */

Definition at line 75 of file SDL_DirectFB_video.h.

#define DFBENV_USE_WM "SDL_DIRECTFB_WM" /* Default: off */

Definition at line 76 of file SDL_DirectFB_video.h.

#define DFBENV_USE_X11_CHECK "SDL_DIRECTFB_X11_CHECK" /* Default: on */

Definition at line 74 of file SDL_DirectFB_video.h.

#define DFBENV_USE_YUV_DIRECT "SDL_DIRECTFB_YUV_DIRECT" /* Default: off */

Definition at line 73 of file SDL_DirectFB_video.h.

#define DFBENV_USE_YUV_UNDERLAY "SDL_DIRECTFB_YUV_UNDERLAY" /* Default: off */

Definition at line 72 of file SDL_DirectFB_video.h.

#define DIRECTFB_DEBUG 1

Definition at line 70 of file SDL_DirectFB_video.h.

#define ENABLE_LUT8 (1)

Definition at line 67 of file SDL_DirectFB_video.h.

#define SDL_DFB_ALLOC_CLEAR | ( |  | r,
|  |  | s
| ) |  | SDL_DFB_CALLOC(r, 1, s)

Definition at line 122 of file SDL_DirectFB_video.h.

#define SDL_DFB_CALLOC | ( |  | r,
|  |  | n,
|  |  | s
| ) |  |

Value:
do { \
r = SDL_calloc (n, s); \
if (!(r)) { \
SDL_DFB_ERR("Out of memory"); \
SDL_OutOfMemory(); \
goto error; \
} \
} while (0)
s
GLdouble s
Definition: glew.h:1376
SDL_calloc
DECLSPEC void *SDLCALL SDL_calloc(size_t nmemb, size_t size)
n
GLclampd n
Definition: glew.h:7287
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
error
FT_Error error
Definition: cffdrivr.c:407
SDL_OutOfMemory
#define SDL_OutOfMemory()
Definition: SDL_error.h:52
SDL_DFB_ERR
#define SDL_DFB_ERR(x...)
Definition: SDL_DirectFB_video.h:84
r
GLdouble GLdouble GLdouble r
Definition: glew.h:1392

Definition at line 112 of file SDL_DirectFB_video.h.

#define SDL_DFB_CHECK | ( |  | x... | ) | do { sdl_dfb_check( x, __FILE__, __LINE__); } while (0)

Definition at line 99 of file SDL_DirectFB_video.h.

#define SDL_DFB_CHECKERR | ( |  | x... | ) | do { if ( sdl_dfb_check( x, __FILE__, __LINE__) != DFB_OK ) goto error; } while (0)

Definition at line 100 of file SDL_DirectFB_video.h.

#define SDL_DFB_CONTEXT "SDL_DirectFB"

Definition at line 82 of file SDL_DirectFB_video.h.

Referenced by sdl_dfb_check().

#define SDL_DFB_DEBUG | ( |  | x... | ) | SDL_LogDebug(SDL_LOG_CATEGORY_VIDEO, x)

Definition at line 89 of file SDL_DirectFB_video.h.

#define SDL_DFB_DEVICEDATA | ( |  | dev | ) | DFB_DeviceData *devdata = (dev ? (DFB_DeviceData *) ((dev)->driverdata) : NULL)

Definition at line 126 of file SDL_DirectFB_video.h.

#define SDL_DFB_ERR | ( |  | x... | ) | SDL_LogError(SDL_LOG_CATEGORY_ERROR, x)

Definition at line 84 of file SDL_DirectFB_video.h.

#define SDL_DFB_FREE | ( |  | x | ) | do { SDL_free((x)); (x) = NULL; } while (0)

Definition at line 79 of file SDL_DirectFB_video.h.

#define SDL_DFB_LOG | ( |  | x... | ) | SDL_LogInfo(SDL_LOG_CATEGORY_VIDEO, x)

Definition at line 87 of file SDL_DirectFB_video.h.

Referenced by sdl_dfb_check().

#define SDL_DFB_RELEASE | ( |  | x | ) | do { if ( (x) != NULL ) { SDL_DFB_CHECK(x->Release(x)); x = NULL; } } while (0)

Definition at line 78 of file SDL_DirectFB_video.h.

#define SDL_DFB_UNLOCK | ( |  | x | ) | do { if ( (x) != NULL ) { x->Unlock(x); } } while (0)

Definition at line 80 of file SDL_DirectFB_video.h.

#define USE_MULTI_API (0)

Definition at line 57 of file SDL_DirectFB_video.h.

## Typedef Documentation

typedef struct _DFB_DeviceData DFB_DeviceData

Definition at line 140 of file SDL_DirectFB_video.h.

typedef struct _DFB_KeyboardData DFB_KeyboardData

Definition at line 130 of file SDL_DirectFB_video.h.

## Function Documentation

Uint32 DirectFB_DFBToSDLPixelFormat | ( | DFBSurfacePixelFormat | pixelformat | ) |

DFBSurfacePixelFormat DirectFB_SDLToDFBPixelFormat | ( | Uint32 | format | ) |

void DirectFB_SetSupportedPixelFormats | ( | SDL_RendererInfo * | ri | ) |

static DFBResult sdl_dfb_check | ( | DFBResult | ret,
|  | const char * | src_file,
|  | int | src_line
| ) |  |

inlinestatic

Definition at line 91 of file SDL_DirectFB_video.h.

References ret, SDL_DFB_CONTEXT, SDL_DFB_LOG, and SDL_SetError().